Package org.eclipse.birt.chart.model.data

# Interface DataSet

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `BubbleDataSet`, `DateTimeDataSet`, `DifferenceDataSet`, `GanttDataSet`, `NullDataSet`, `NumberDataSet`, `StockDataSet`, `TextDataSet`

All Known Implementing Classes:
  `BubbleDataSetImpl`, `DataSetImpl`, `DateTimeDataSetImpl`, `DifferenceDataSetImpl`, `GanttDataSetImpl`, `NullDataSetImpl`, `NumberDataSetImpl`, `StockDataSetImpl`, `TextDataSetImpl`

public interface DataSet extends IChartObject
A representation of the model object 'Set'. This type holds the data associated with a series.

The following features are supported:

- `Values`

See Also:
  - `DataPackage.getDataSet()`

## Method Summary

Modifier and Type
Method
Description
`DataSet`
`copyInstance()`
`Object`
`getValues()`
Returns the value of the 'Values' attribute.
`boolean`
`isBigNumber()`
Checks if the values in data set are big number.
`void`
`setValues(Object value)`
Sets the value of the '`Values`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getValues

Object getValues()
Returns the value of the 'Values' attribute. Holds data values for the series.

Returns:
  the value of the 'Values' attribute.
See Also:
  - `setValues(Object)`
  - `DataPackage.getDataSet_Values()`

### setValues

void setValues(Object value)
Sets the value of the '`Values`' attribute.

Parameters:
  `value` - the new value of the 'Values' attribute.
See Also:
  - `getValues()`

### copyInstance

DataSet copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`

### isBigNumber

boolean isBigNumber()
Checks if the values in data set are big number.

Returns:
Since:
  2.6